import * as React from 'react';
import { DiscoveryProbe } from './DiscoveryProbe';
import { DiscoveryTable } from './DiscoveryTable';

export class DiscoveryDetails extends React.Component<any, any> {

  private probeTemp: any;

  constructor(props: any, context: any) {
    super(props, context);
    this.state = {};
  }

  componentWillMount() {
    this.probeTemp =
      {
        "id": "11",
        "metaProbeStatus": {
          "name": "STARTED"
        },
        "domain": {
          "name": "overFlow's domain111"
        },
        "host": {
          "ip": "192.168.1.103",
          "mac": "44:8a:5b:44:8c:e8",
          "os": "Ubuntu 17.04"
        },
        "createAt": "2017-07-12",
        "probeKey": "AGBLKDFJ2452ASDGFL2KWJLKSDJ",
        "description": "description1111111111",
        "lastPollingAt": "2017-07-12 14:20",
        "nextPollingAt": "2017-07-12 14:30"
      };

  }

  handleProbeChange(obj: any) {
    console.log(obj)
  }

  render() {
    return (
      <div>
        <div style={{ margin: '20px' }}>
          <DiscoveryProbe probe={this.probeTemp}/>
        </div>
        <div style={{ margin: '20px' }}>
          <DiscoveryTable onProbeChange={this.handleProbeChange} />
        </div>
      </div>

    );
  }
}